/**
 * Copyright (c) 2018-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
/// <reference types="react" />
import { StateTransformParameters } from '../mol-plugin-ui/state/common';
import { PluginSpec } from '../mol-plugin/spec';
import { StateAction, StateTransformer } from '../mol-state';
export { PluginUISpec };
interface PluginUISpec extends PluginSpec {
    customParamEditors?: [StateAction | StateTransformer, StateTransformParameters.Class][];
    components?: {
        controls?: PluginUISpec.LayoutControls;
        remoteState?: 'none' | 'default';
        structureTools?: React.ComponentClass;
        viewport?: {
            view?: React.ComponentClass;
            controls?: React.ComponentClass;
        };
        sequenceViewer?: {
            view?: React.ComponentClass;
        };
        hideTaskOverlay?: boolean;
        disableDragOverlay?: boolean;
    };
}
declare namespace PluginUISpec {
    interface LayoutControls {
        top?: React.ComponentClass | 'none';
        left?: React.ComponentClass | 'none';
        right?: React.ComponentClass | 'none';
        bottom?: React.ComponentClass | 'none';
    }
}
export declare const DefaultPluginUISpec: () => PluginUISpec;
