"use strict";
/**
 * Copyright (c) 2017 Mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MolScriptSymbolTable = exports.SymbolMap = exports.SymbolList = void 0;
var core_1 = require("./symbol-table/core");
var structure_query_1 = require("./symbol-table/structure-query");
var internal_1 = require("./symbol-table/internal");
var helpers_1 = require("./helpers");
var MolScriptSymbolTable = { core: core_1.core, structureQuery: structure_query_1.structureQuery, internal: internal_1.internal };
exports.MolScriptSymbolTable = MolScriptSymbolTable;
(0, helpers_1.normalizeTable)(MolScriptSymbolTable);
exports.SymbolList = (0, helpers_1.symbolList)(MolScriptSymbolTable);
exports.SymbolMap = (function () {
    var map = Object.create(null);
    for (var _i = 0, SymbolList_1 = exports.SymbolList; _i < SymbolList_1.length; _i++) {
        var s = SymbolList_1[_i];
        map[s.id] = s;
    }
    return map;
})();
