/**
 * Copyright (c) 2021-2022 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import type { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
import { ColorTypeDirect } from '../../mol-geo/geometry/color-data';
export declare const VolumeValueColorThemeParams: {
    colorList: PD.ColorList;
};
export type VolumeValueColorThemeParams = typeof VolumeValueColorThemeParams;
export declare function getVolumeValueColorThemeParams(ctx: ThemeDataContext): {
    colorList: PD.ColorList;
};
export declare function VolumeValueColorTheme(ctx: ThemeDataContext, props: PD.Values<VolumeValueColorThemeParams>): ColorTheme<VolumeValueColorThemeParams, ColorTypeDirect>;
export declare const VolumeValueColorThemeProvider: ColorTheme.Provider<VolumeValueColorThemeParams, 'volume-value'>;
