/**
 * Copyright (c) 2018-2022 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Adam Midlik <midlik@gmail.com>
 */
import { Column } from '../../mol-data/db';
import { toDatabase } from '../../mol-io/reader/cif/schema';
var int = Column.Schema.int;
var float = Column.Schema.float;
// TODO in future, move to molstar/src/mol-io/reader/cif/schema/mesh.ts
export var Mesh_Data_Schema = {
    mesh: {
        id: int,
    },
    mesh_vertex: {
        mesh_id: int,
        vertex_id: int,
        x: float,
        y: float,
        z: float,
    },
    /** Table of triangles, 3 rows per triangle */
    mesh_triangle: {
        mesh_id: int,
        /** Indices of vertices within mesh */
        vertex_id: int,
    }
};
// TODO in future, move to molstar/src/mol-io/reader/cif.ts: CIF.schema.mesh
export var CIF_schema_mesh = function (frame) { return toDatabase(Mesh_Data_Schema, frame); };
