/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { CifField } from '../../../mol-io/reader/cif';
import { mmCIF_Schema } from '../../../mol-io/reader/cif/schema/mmcif';
import { Tokenizer } from '../../../mol-io/reader/common/text/tokenizer';
type AnisotropicTemplate = typeof getAnisotropicTemplate extends (...args: any) => infer T ? T : never;
export declare function getAnisotropicTemplate(data: string, count: number): {
    index: number;
    count: number;
    id: string[];
    type_symbol: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_label_atom_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_label_alt_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_label_comp_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_label_asym_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_label_seq_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_PDB_ins_code: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    'U[1][1]': Float32Array;
    'U[2][2]': Float32Array;
    'U[3][3]': Float32Array;
    'U[1][2]': Float32Array;
    'U[1][3]': Float32Array;
    'U[2][3]': Float32Array;
    pdbx_auth_seq_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_auth_comp_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_auth_asym_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_auth_atom_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
};
export declare function getAnisotropic(sites: AnisotropicTemplate): {
    [K in keyof mmCIF_Schema['atom_site_anisotrop']]?: CifField;
};
export declare function addAnisotropic(sites: AnisotropicTemplate, model: string, data: Tokenizer, s: number, e: number): void;
export {};
