/**
 * Copyright (c) 2017-2023 Mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Structure } from '../../structure';
import { Unit } from '../../unit';
import { BondComputationProps } from './common';
import { InterUnitBonds } from './data';
export interface InterBondComputationProps extends BondComputationProps {
    validUnit: (unit: Unit) => boolean;
    validUnitPair: (structure: Structure, unitA: Unit, unitB: Unit) => boolean;
    ignoreWater: boolean;
    ignoreIon: boolean;
}
declare function computeInterUnitBonds(structure: Structure, props?: Partial<InterBondComputationProps>): InterUnitBonds;
export { computeInterUnitBonds };
